com.ihr.xbrl.om.table.definition

## Class EmptyAspectRule

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.EmptyAspectRule

- All Implemented Interfaces:
    ContextComponentRuleInterface

      public class EmptyAspectRule
      extends java.lang.Object
      implements ContextComponentRuleInterface

  The Class EmptyAspectRule.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `resourceName` The Constant resourceName.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyAspectRule(XBRLRuleNode formula)` Instantiates a new empty aspect rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.s9api.XdmValue` | `getValue(XBRLStructuralTable xbrlTable)` Gets the value.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceName

          public static final javax.xml.namespace.QName resourceName

      The Constant resourceName.

  - ### Constructor Detail

    - #### EmptyAspectRule

          public EmptyAspectRule(XBRLRuleNode formula)

      Instantiates a new empty aspect rule.
      Parameters:
        `formula` - the formula

  - ### Method Detail

    - #### getValue

          public net.sf.saxon.s9api.XdmValue getValue(XBRLStructuralTable xbrlTable)

      Description copied from interface: `ContextComponentRuleInterface`
      Gets the value.
      Specified by:
        `getValue` in interface `ContextComponentRuleInterface`
      Parameters:
        `xbrlTable` - the xbrl table
      Returns:
        the value

    - #### resetNode

          public void resetNode()

      Description copied from interface: `ContextComponentRuleInterface`
      Reset node.
      Specified by:
        `resetNode` in interface `ContextComponentRuleInterface`